Subject: Re: gcc simple program crashing
From: Gerry Reno <[email-masked]>
To: [email-masked]
Cc: Hartmut Welpmann <[email-masked]>
Date: Sun, 7 Sep 2003 10:30:51 -0700 (PDT)

Hartmut,
  Yes, thanks.  This is what I get for working too late :-)

rgds,
Gerry Reno

--- Hartmut Welpmann <[email-masked]> wrote:
> On Sun, 7 Sep 2003 01:00:17 -0700 (PDT), you wrote:
> 
> >  I wrote, compiled and ran a very simple program today that is
> >producing the weirdest results.  I began googling the errors and
> came
> >across multiple accounts of people experiencing the exact same
> >behavior. The program is just a simple dos/unix line termination
> >converter:
> >
> >#include <stdio.h>
> >
> >int main (int argc, char *argv[])
> >{
> >  int ch;
> >  while ( (ch = getc(stdin)) && ! feof(stdin) ) {
> >    if (ch == '\n') {
> >      putc('\n',stdout);
> >      putc('\r',stdout);
> >    } else putc(ch,stdout);
> >  }
> >}
> >
> >gcc -o filter.exe -c filter.c
> >
> >The errors:
> >./filter.exe 8: Syntax error: EOF in backquote substitution
> 
> [...]
> 
> >Anyone know what is causing this behavior?  
> 
> You try to execute an object file, just remove the -c switch.
> 
> >Another poster with this
> >problem was using g++ (GCC) 3.1.1 20020718 (prerelease):
> >http://www.cygwin.com/ml/cygwin/2002-07/msg01598.html
> 
> If you had read the whole thread, you might have found the answer
> yourself...
> 
> Regards,
> Hartmut
> 
> -- 
> Hartmut Welpmann

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/